Class | TclTkIp
In: | tk/lib/tk.rb
Parent: | Object

dummy methods

### Methods

__eval __invoke _eval _eval_with_enc _eval_with_enc _invoke _invoke_with_enc _invoke_with_enc _ip_id_ new

### External Aliases

_eval | -> | _eval_without_enc
| backup original (without encoding) _eval and _invoke
_invoke | -> | _invoke_without_enc
_eval | -> | __eval
_invoke | -> | __invoke
_toUTF8 | -> | __toUTF8
_fromUTF8 | -> | __fromUTF8
new | -> | __new__

### Attributes

encoding | [RW] | from tkencoding.rb by ttate@jaist.ac.jp
encoding | [RW] |

### Public Class methods

new(*args)

[Source]

    # File tk/lib/multi-tk.rb, line 27
      def new(*args)
        if Thread.current.group != ThreadGroup::Default
          raise SecurityError, 'only ThreadGroup::Default can call TclTkIp.new'
        end
        __new__(*args)
      end

### Public Instance methods

__eval(cmd)

Alias for _eval

__invoke(*cmds)

Alias for _invoke

_eval(cmd)

[Source]

    # File tk/lib/tk.rb, line 2136
        def _eval(cmd)
          _fromUTF8(__eval(_toUTF8(cmd)))
        end

_eval_with_enc(cmd)

Alias for _eval

_eval_with_enc(cmd)

Alias for _eval

_invoke(*cmds)

[Source]

    # File tk/lib/tk.rb, line 2140
        def _invoke(*cmds)
          _fromUTF8(__invoke(*(cmds.collect{|cmd| _toUTF8(cmd)})))
        end

_invoke_with_enc(*cmds)

Alias for _invoke

_invoke_with_enc(*cmds)

Alias for _invoke

_ip_id_()

[Source]

    # File tk/lib/tk.rb, line 18
      def _ip_id_
        ''
      end

[Validate]